Skip to main content
PUT
/
api
/
v1
/
bom
/
{bom_id}
Update Bom
curl --request PUT \
  --url https://staging.cutmake.ai/api/v1/bom/{bom_id} \
  --header 'Content-Type: application/json' \
  --data '
{
  "styleId": "<string>",
  "submittedAt": "2023-11-07T05:31:56Z",
  "submittedById": "<string>",
  "documentId": "<string>"
}
'
{
  "id": "<string>",
  "documentId": "<string>",
  "currentVersion": 123,
  "versionCount": 123,
  "styleId": "<string>",
  "style": {
    "id": "<string>",
    "documentId": "<string>",
    "name": "<string>",
    "refId": "<string>"
  },
  "latestVersion": {
    "id": "<string>",
    "documentId": "<string>",
    "versionNumber": 123,
    "changeDescription": "<string>",
    "createdAt": "2023-11-07T05:31:56Z",
    "status": "<string>",
    "submittedAt": "2023-11-07T05:31:56Z",
    "submittedById": "<string>",
    "approvedById": "<string>",
    "rejectionReason": "<string>"
  },
  "status": "<string>",
  "createdAt": "2023-11-07T05:31:56Z",
  "submittedAt": "2023-11-07T05:31:56Z",
  "createdById": "<string>",
  "submittedById": "<string>",
  "approvedById": "<string>",
  "versions": [
    {
      "id": "<string>",
      "documentId": "<string>",
      "versionNumber": 123,
      "changeDescription": "<string>",
      "createdAt": "2023-11-07T05:31:56Z",
      "createdById": "<string>",
      "status": "<string>",
      "submittedAt": "2023-11-07T05:31:56Z",
      "submittedById": "<string>",
      "approvedById": "<string>",
      "rejectionReason": "<string>",
      "lineItems": [
        {
          "id": "<string>",
          "billOfMaterialVersionId": "<string>",
          "grossConsumption": 123,
          "sellingTolerance": 123,
          "netSellingConsumption": 123,
          "buyingTolerance": 123,
          "netBuyingConsumption": 123,
          "materialCostInNativeCurrency": 123,
          "nativeCurrency": "<string>",
          "materialCostInUsd": 123,
          "estimatedMaterialPreparationLeadTime": 123,
          "assignedMaterialOptions": [
            {}
          ],
          "chosenAssignedMaterialId": "<string>",
          "chosenAssignedSkuId": "<string>",
          "category": "Uncategorized",
          "description": "<string>",
          "unit": "pc"
        }
      ],
      "groupedLineItems": [
        {
          "category": "<string>",
          "items": [
            {
              "id": "<string>",
              "billOfMaterialVersionId": "<string>",
              "grossConsumption": 123,
              "sellingTolerance": 123,
              "netSellingConsumption": 123,
              "buyingTolerance": 123,
              "netBuyingConsumption": 123,
              "materialCostInNativeCurrency": 123,
              "nativeCurrency": "<string>",
              "materialCostInUsd": 123,
              "estimatedMaterialPreparationLeadTime": 123,
              "assignedMaterialOptions": [
                {}
              ],
              "chosenAssignedMaterialId": "<string>",
              "chosenAssignedSkuId": "<string>",
              "category": "Uncategorized",
              "description": "<string>",
              "unit": "pc"
            }
          ]
        }
      ]
    }
  ]
}

Headers

X-Org-Id
string | null

Path Parameters

bom_id
string
required

Body

application/json
styleId
string | null
submittedAt
string<date-time> | null
submittedById
string | null
documentId
string | null

Response

Successful Response

id
string
required
documentId
string
required
currentVersion
integer
required
versionCount
integer
required
styleId
string | null
style
StyleInfo · object
latestVersion
BOMVersionSummary · object
status
string | null
createdAt
string<date-time> | null
submittedAt
string<date-time> | null
createdById
string | null
submittedById
string | null
approvedById
string | null
versions
BOMVersionResponse · object[] | null